Skip to main content
GET
/
directory
/
api
/
4.0
/
work-contracts
/
{id}
Retrieve a work-contract
curl --request GET \
  --url https://{host}/directory/api/4.0/work-contracts/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/directory/api/4.0/work-contracts/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/directory/api/4.0/work-contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 514,
  "ownerId": 416,
  "startsOn": "2021-01-01",
  "endsOn": null,
  "isApplicable": true,
  "establishmentId": 13,
  "spcId": 1,
  "typeId": 1,
  "hiringTypeId": 3,
  "terminationReasonId": null,
  "trialPeriodDays": 120,
  "renewedTrialPeriodDays": null,
  "trialPeriodEndDate": "2021-05-01",
  "trialPeriodEndDate2": null,
  "authorId": 45,
  "lastModifierId": 45,
  "createdAt": "2021-11-08T17:48:18.12",
  "lastModifiedAt": "2024-01-10T12:27:02.22"
}
This legacy endpoint has its equivalent in the Lucca API (currently in beta): GET /lucca-api/employments/{id}.Career data (department, manager, job title) is now tracked separately through the job-position resource.

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer
required

Identifier of the work-contract to retrieve.

Required range: x >= 1

Response

OK

id
integer
read-only

Unique identifier of this work-contract.

Required range: x >= 1
ownerId
integer

Unique identifier of the employee this work-contract belongs to.

Required range: x >= 1
externalId
string | null

Third-party identifier of this work-contract. May be not unique.

typeId
integer

Identifier of the work-contract template this work-contract conforms to. Determines whether certain optional properties are required.

startsOn
string<date>

Start date of this work-contract. Format: YYYY-mm-DD.

isApplicable
boolean
read-only

Readonly. Whether this work-contract applies to the employee at this very moment.

A work-contract is considered "applicable" if:

  1. It is the ongoing work-contract as of today;
  2. If there is none, then it is the first upcoming work-contract;
  3. If not, then it is the last work-contract this employee had.
establishmentId
integer

Identifier of the establishment the employee works for.

spcId
integer | null

Identifier of the socio-professional category.

Refer to the API endpoint: /organization/structure/api/occupation-categories.

hiringTypeId
integer | null

Identifier of a hiring reason type.

Refer to the API endpoint: /directory/api/work-contract-hiring-types.

trialPeriodDays
integer | null

Number of days of the initial trial period.

Required range: x >= 0
renewedTrialPeriodDays
integer | null

Number of days of renewed trial period (equal to the length of the initial period, plus the renewal period).

Required range: x >= 0
trialPeriodEndDate
string<date> | null

Initial trial period end date. Format: YYYY-mm-DD.

trialPeriodEndDate2
string<date> | null

Renewed trial period end date. Format: YYYY-mm-DD.

temporaryContractGroundId
integer | null

Identifier of the temporary contract ground.

Refer to the API endpoint: /directory/api/work-contract-temporary-contract-grounds.

internshipSupervisorId
integer | null

Identifier of the employee/user that acts as internship supervisor.

endsOn
string<date> | null

End date of this work-contract. Leave null if not (yet) known. Format: YYYY-mm-DD.

terminationReasonId
integer | null

Identifier of the termination reason.

Refer to the API endpoint: /directory/api/work-contract-termination-reasons.

authorId
integer
read-only

Read-only. Identifier of the user who created this work-contract.

createdAt
string<date-time>
read-only

Read-only. Timestamp of the moment this work-contract was created.

lastModifierId
integer
read-only

Read-only. Identifier of the user who last modified this work-contract.

lastModifiedAt
string<date-time>
read-only

Read-only. Timestamp of the moment this work-contract was last updated.